Bug 575481 - Eclipse IDE fails to start
Eclipse IDE fails to start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
12
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-20 18:53 EDT by Morten Slott Hansen
Modified: 2010-03-23 11:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 11:14:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Eclipse error logfile (225.93 KB, text/x-log)
2010-03-20 18:53 EDT, Morten Slott Hansen
no flags Details

  None (edit)
Description Morten Slott Hansen 2010-03-20 18:53:50 EDT
Created attachment 401512 [details]
Eclipse error logfile

Description of problem:
Let me start by saying that I'm not sure if this is a Fedora problem or Eclipse
problem.

For some reason Eclipse will no longer start and I keep getting this really bad
error log. I tried to uninstall Eclipse and manually remove _everything_ such
as .eclipse etc. etc.

Then after a clean install "yum groupinstall eclipse" I still get the same damn
error ;(

...
java.lang.RuntimeException: Application "org.eclipse.ui.ide.workbench" could
not be found in the registry.
...

I'm on Fedora 12 - which I have been rock solid with Eclipse until this
weekend!

Version-Release number of selected component (if applicable):
Eclipse 3.5.1-22.fc12

How reproducible:
Always

Steps to Reproduce:
1.Clean install of Eclipse using "yum groupinstall eclipse"
2.Start eclipse from command line "eclipse"
3.Error is dumped to log file  
Actual results:


Expected results:
To start the Eclipse IDE 

Additional info:
See attachment
Comment 1 Andrew Overholt 2010-03-22 13:42:19 EDT
Did you run Eclipse as root at some point?  Does this give any output:

  for f in `rpm -aq | grep eclipse`; do rpm -qV $f; done
Comment 2 Morten Slott Hansen 2010-03-23 04:39:04 EDT
I tried running Eclipse as root just to see if that was broke too - which it was. The above gives me the following result:

[msh@slott ~]$ for f in `rpm -aq | grep eclipse`; do rpm -qV $f; done
..5....T.  c /usr/lib64/eclipse/configuration/config.ini
S.5....T.  c /usr/lib64/eclipse/configuration/org.eclipse.equinox.simpleconfigurator/bundles.info
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/.bundledata.1
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/.lazy.1
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/.manager/.fileTable.4
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/.manager/.fileTable.5
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/.state.1
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-atk-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-awt-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-cairo-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-glx-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-gnome-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-pi-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-xpcominit-gtk-3555.so
missing   c /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-xulrunner-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-atk-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-awt-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-cairo-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-glx-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-gnome-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-pi-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-xpcominit-gtk-3555.so
missing     /usr/lib64/eclipse/configuration/org.eclipse.osgi/bundles/111/1/.cp/libswt-xulrunner-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-atk-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-awt-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-cairo-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-glx-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-gnome-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-pi-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-xpcominit-gtk-3555.so
missing     /usr/lib64/eclipse/libswt-xulrunner-gtk-3555.so
missing     /usr/lib64/eclipse/plugins/org.eclipse.swt.gtk.linux.x86_64_3.5.1.v3555a.jar
missing     /usr/lib64/eclipse/plugins/org.eclipse.swt_3.5.1.v3555a.jar
missing     /usr/lib64/eclipse/swt-gtk-3.5.1.jar
missing     /usr/lib64/eclipse/swt-gtk-3.5.jar
missing     /usr/lib64/eclipse/swt.jar
S.5....T.  c /usr/lib64/eclipse/eclipse.ini

I have however downloaded the 3.5.2 of Eclipse and that works like a charm.
Comment 3 Andrew Overholt 2010-03-23 10:56:23 EDT
Your RPM installation was broken by running it as root.  You'll need to make it so that rpm -qV on all of the eclipse packages gives no output.  I suggest removing them all with "yum remove eclipse-\*" and then seeing if anything still exists in /usr/lib64/eclipse that isn't owned by any other RPMs.  Like you tried before, you may also need to mv ~/.eclipse{,.bak20100323}.
Comment 4 Morten Slott Hansen 2010-03-23 11:14:53 EDT
Ok thanx for the answer - I'll try this when I'm done with my current project as I do not want to delay it at this time.

Note You need to log in before you can comment on or make changes to this bug.